--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Extract a datetime_part (e.g. year, month) from self:"
- !ruby/struct:SM::Flow::VERB 
  body: "  :date.extract(:year) # SQL:  extract(year FROM date)\n"
- !ruby/struct:SM::Flow::P 
  body: Also has the benefit of returning the result as a NumericExpression instead of a generic ComplexExpression.
full_name: Sequel::SQL::ComplexExpressionMethods#extract
is_singleton: false
name: extract
params: (datetime_part)
visibility: public
